<div class="form-control col-md-12">
    <div style="margin-top: 20px;">
        <div class="container">
            <!-- PENCARIAN -->
            <div style="margin-top: 20px;">
                <h5>
                    <label>Detail Request</label>
                </h5>
                <div style="margin-top: 10px; width: 100%;">
                    <div class="ui-g-12">
                        <div class="ui-g-6">
                            <div class="row">
                                <!-- <div class="col-md-12"> -->
                                <label>Nomor Request : {{transferUnitMain.RequestNumber}}</label>
                            </div>
                            <div class="row">
                                <!-- <div class="col-md-12"> -->
                                <label>Tanggal Request : {{transferUnitMain.dtRequest | date:'dd-MM-yyyy'}}</label>
                            </div>

                            <div class="row">
                                <!-- <div class="col-md-12"> -->
                                <label>Tanggal Pengiriman : {{transferUnitMain.dtSent | date:'dd-MM-yyyy'}}</label>
                            </div>

                            <div class="row">
                                <!-- <div class="col-md-12"> -->
                                <label>Lokasi Tujuan : {{transferUnitMain.FacilityDest}}</label>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <p-dataTable [value]="transferUnitRequests" [editable]="true" [rows]="itemsPerPage" [paginator]="true"
                [pageLinks]="5" [rowsPerPageOptions]="[10,15,20]" [totalRecords]="totalItems" [responsive]="true"
                expandableRows="false" (onEditComplete)="updateRowData($event)" class="width-filter">
                <p-header>
                    <jhi-alert></jhi-alert>
                </p-header>

                <p-column header="Market Name">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.MarketName">
                        </div>{{rowData.MarketName}}
                    </ng-template>
                </p-column>

                <p-column header="Kode Tipe">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.IdProduct}}
                    </ng-template>
                </p-column>

                <p-column header="Tahun">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.Year}}
                        <!-- <div *ngIf="rowData.customerId">
                                {{rowData.customerName}}
                            </div> -->
                    </ng-template>
                </p-column>

                <p-column header="Warna">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.Color}}
                        <!-- <div *ngIf="rowData.customerId">
                                {{rowData.customerName}}
                            </div> -->
                    </ng-template>
                </p-column>

                <p-column header="Qty Request">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.Qty}}
                        <!-- <div *ngIf="rowData.customerId">
                                {{rowData.customerName}}
                            </div> -->
                    </ng-template>
                </p-column>

                <p-column header="Qty Transfer">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.QtyTransfer}}
                    </ng-template>
                </p-column>

                <p-column header="Lokasi">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.LocationFrom}}
                    </ng-template>
                </p-column>

                <!-- <p-column header="Detail" [style]="{'width': '150px', 'text-align': 'center'}">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <a [routerLink]="['../isi-nama/edit/'+ rowData.idRequirement +'/'+ rowData.idOrder]">Detail</a> -->
                <!-- <a (click)="verification(rowData.idRequirement)">Verifikasi</a> -->
                <!-- </ng-template>
                    </p-column> -->

                <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                </ng-template>

            </p-dataTable>
                
            <div class="row">
                <div class="ui-g-12">
                    <div class="pull-right" style="margin-bottom: 15px;">
                        <button type="button" class="btn btn-primary btn-filter" (click)="cancelRquest()" [disabled]="transferUnitMain.Status === 16 || transferUnitMain.Status === 17 || transferUnitMain.Status === 15 || transferUnitMain.Status === 13">
                            <span>Cancel Request</span>
                        </button>
                        &nbsp;
                        &nbsp;
                        <button type="button" class="btn btn-primary btn-filter" (click)="receiveBAST()" [disabled]="transferUnitMain.Status !== 16">
                            <span>Receive BAST</span>
                        </button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div style="margin-top: 10px;"></div>
</div>

<p-confirmDialog></p-confirmDialog>